<template>
  <div class="elem-text">
    <div class="text-body" :style="styles">
      <span
        v-for="(cont, index) in data.content"
        :key="index"
        :class="`cont-${cont.type}`"
        >{{ cont.content }}</span
      >
    </div>
  </div>
</template>

<script>
export default {
  name: "elem-text",
  props: {
    data: {
      type: Object,
    },
  },
  computed: {
    styles() {
      return {
        fontWeight: this.data.fontWeight,
        fontSize: this.data.fontSize,
        color: this.data.color,
      };
    },
  },
  data() {
    return {};
  },
  methods: {},
};
</script>
